Skip to main content
GET
/
1
/
marker_settings
/
{datasetSlug}
Get a Marker Setting
curl --request GET \
  --url https://api.honeycomb.io/1/marker_settings/{datasetSlug} \
  --header 'X-Honeycomb-Team: <api-key>'
import requests

url = "https://api.honeycomb.io/1/marker_settings/{datasetSlug}"

headers = {"X-Honeycomb-Team": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};

fetch('https://api.honeycomb.io/1/marker_settings/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "type": "deploy",
    "color": "#7b1fa2",
    "id": "gwAHiE5TS4j",
    "created_at": "2022-09-15T05:39:42Z",
    "updated_at": "2022-12-15T04:25:14Z"
  }
]
{
"error": "<string>"
}
{
"error": "Rate Limited"
}

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

X-Honeycomb-Team: 1234567890123456789012

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

Response

Success

type
string
required

Groups similar Markers. For example, 'deploys'. All Markers of the same type appears with the same color on the graph.

Example:

"deploy"

color
string
required

Color to use for display of this marker type. Specified as hexadecimal RGB. For example, "#F96E11".

Example:

"#7b1fa2"

id
string
read-only

The unique identifier (ID) for the Marker Setting.

Example:

"gwAHiE5TS4j"

created_at
string
read-only

The ISO8601-formatted time when the Marker Setting was created.

Example:

"2022-09-15T05:39:42Z"

updated_at
null | string
read-only

The ISO8601-formatted time when the Marker Setting was updated.

Example:

"2022-12-15T04:25:14Z"